Subject: bug#68200: 30.0.50; Emacs reloads init file when calling `documentation'

From: Michael Heerdegen <[email-masked]>
Date: Sun, 07 Jan 2024 18:20:17 +0100

Eli Zaretskii <[email-masked]> writes:

> > Looks to me like Fdocumentation detects that the file containing the doc
> > has changed, and that it needs to reload it. I think you mentioned that
> > this happens when you change the file and existing Emacs sessions do the
> > reload? In that case, this looks like normal behaviour to me, unless I'm
> > overlooking something?
>
> Right.

Ok, thanks.

I now remember that for that reason I am using a file local variable
binding byte-compile-dynamic-docstrings: nil.  I the past this setting
prevented this reloading.  But the behavior changed some weeks ago -
like if that binding would be ignored now.

Michael.